# Setting Cinder Storage Credentials On Premise

This article explains how to set storage appliance credentials to your block storage node.

### Prerequisites

You must have a Cinder block storage node authorized and connected.

### Step 1

Log in to the Linux host which you have assigned the Cinder block storage role.

### Step 2

Change directory to: `/opt/pf9/etc/pf9-cindervolume-base/conf.d/` .

{% tabs %}
{% tab title="Bash" %}

```bash
cd /opt/pf9/etc/pf9-cindervolume-base/conf.d/
```

{% endtab %}
{% endtabs %}

### Step 3

Create a file named `cinder_override.conf` (note the underscore):

{% tabs %}
{% tab title="Bash" %}

```bash
touch /opt/pf9/etc/pf9-cindervolume-base/conf.d/cinder_override.conf
```

{% endtab %}
{% endtabs %}

Add a `[DEFAULT]` section and list all the backends you wish to enable using the `enabled_backends` option in this section. Add the appropriate parameters for each backend as needed by the respective driver in a backend-specific section. Please refer to your storage vendor's manual for more information on which configuration options are available.

{% hint style="info" %}
**Note**

Cinder was upgraded to the Stein release in 4.2 release of Platform9. The config options iscsi\_ip\_address, iscsi\_port, iscsi\_target\_prefix and iscsi\_protocol were deprecated in the Queens release and have now been removed. Deployments should now use the more general target\_ip\_address, target\_port, target\_helper, target\_prefix and target\_protocol options. For example, if LVM configuration has option iscsi\_ip\_address, it needs to be changed to target\_ip\_address. For more information, please check <https://docs.openstack.org/releasenotes/cinder/stein.html#relnotes-14-0-0-stable-stein-upgrade-notes>.
{% endhint %}

Example (for QNAP):

{% tabs %}
{% tab title="cinder\_override.conf" %}

```yaml
[DEFAULT]
enabled_backends = qnap
[qnap]
san_login = admin
san_password = changeme
```

{% endtab %}
{% endtabs %}

### Step 4

Restart the `pf9-cindervolume` service. For example, on Enterprise Linux operating systems e.g. CentOS:

{% tabs %}
{% tab title="Bash" %}

```bash
service pf9-cindervolume-base restart
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform9.com/managed-openstack/5.8/volumes-and-snapshots/storage-cinder-creds.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
